import request from '@/utils/request'

// 判断登陆角色
export function judgeRole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_根据人角色编号',
      param: '编号=' + arguments[0]
    }
  })
}

// 初始化MU
export function initMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_筛选框_筛选MU',
      param: '角色代码=' + arguments[0] + '&操作者工号=' + arguments[1]
    }
  })
}

// MU查询Segment
export function changeMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_筛选框_筛选SL',
      param: '角色代码=' + arguments[0] + '\\&操作者工号=' + arguments[1] + '\\&MU=' + arguments[2]
    }
  })
}
// 损失工时PV查询
export function searchBonusForPV() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_损失工时PV查询',
      param: '月份=' + arguments[0] + '\\&操作者工号=' + arguments[1] + '\\&角色代码=' + arguments[2] + '\\&MU=' + arguments[3] + '\\&MU_check=' + arguments[4] + '\\&部门=' + arguments[5] + '\\&部门_check=' + arguments[6] + '\\&Area=' + arguments[7] + '\\&Area_check=' + arguments[8],
      pagination: arguments[9] + '&' + arguments[10]
    }
  })
}
// 损失工时删除
export function deleteLoss() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '奖金绩效系统_损失工时PV删除',
      param: 'ID=' + arguments[0]
    }
  })
}
// 确认编辑
export function confirmEditForPV() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_损失工时PV修改',
      param: 'ID=' + arguments[0] + '&时间数=' + arguments[1] + '&损失明细代码=' + arguments[2]
    }
  })
}
// 确认添加 pv
export function confirmAddForPV() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_损失工时PV增加',
      param: '月份=' + arguments[0] + '\\&MU=' + arguments[1] + '\\&部门=' + arguments[2] + '\\&Area=' + arguments[3] + '\\&损失原因明细代码=' + arguments[4] + '\\&时间数=' + arguments[5]
    }
  })
}
// Segment查询PV
export function changeSegment() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_筛选框_筛选Area',
      param: '角色代码=' + arguments[0] + '\\&操作者工号=' + arguments[1] + '\\&部门=' + arguments[2]
    }
  })
}
// pv提交
export function submitPV() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_损失工时PV提交',
      param: `月份=${arguments[0]}\\&Area=${arguments[1]}`
    }
  })
}
// 初始化加载损失工时分类
export function initCentral() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_损失工时原因分类_查询'
    }
  })
}
// 初始化加载损失工时明细
export function initCentralDetail() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_损失工时原因明细_查询',
      param: '损失工时原因代码=' + arguments[0]
    }
  })
}
// 查询冻结权限
export function initrole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '输入权限判断'
    }
  })
}

